=== debian/changelog ===
wyrd (1.4.4-1ubuntu1) trusty; urgency=medium

  * Use quilt instead of dpatch (deprecated):
    + added debian/source/format 3.0 quilt
    + removed include dpatch.mk from debian/rules
  * Imported patch from upstream to fix FTBFS with
    Ocalm 4: 02_fix-ftbfs-ocaml-4.patch (LP: #1281275)
  * Refreshed 01_editor.dpatch

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 02 Mar 2014 22:41:48 +0100

wyrd (1.4.4-1) unstable; urgency=low

  * New upstream release that address temporary file vulnerability
    (CVE-2008-0806). Patch in version 1.4.3b-4 that addresses this
    vulnerabililty (debian bug 466382) removed.
  * Updated Homepage address in debian/control, debian/copyright.
  * Updated watch file.
  * Add libncursesw5-dev to Build-Depends to permit --enable-utf8 configure
    flag to be used. Also add DEB_CONFIGURE_EXTRA_FLAGS = --enable-utf8 to
    debian/rules. Thanks to Jeremy Bobbio. Closes: #446634.

 -- Kevin Coyner <kcoyner@debian.org>  Fri, 22 Feb 2008 16:30:36 -0500

wyrd (1.4.3b-4) unstable; urgency=low

  * Patch from Nico Golde and the security team.
    This patch addresses the following issue:
    CVE-2008-0806: insecure temporary file creation that
    could lead to symlink attacks and thus data loss. Closes: #466382.
  * Bumped Standards-Version to 3.7.3. No changes.
  * Moved Homepage header out of extended description.
  * Removed unnecessary whitespace in doc-base file.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 21 Feb 2008 17:57:30 -0500

wyrd (1.4.3b-3) unstable; urgency=low

  * Fixed debian/watch file.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 14:08:57 -0400

wyrd (1.4.3b-2) unstable; urgency=low

  * Add Build-Depends on camlp4, which moved from ocaml-nox's Build-Depends to
    Recommends. Closes a FTBFS bug. Closes: #441503. Removed Build-Depends on
    ocaml-nox and ocaml since camlp4 depends on ocaml-nox.

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 15 Sep 2007 13:31:54 -0400

wyrd (1.4.3b-1) unstable; urgency=low

  * New upstream release.
  * Support for the environment variable DOT_REMINDERS. Closes: #381959.

 -- Kevin Coyner <kcoyner@debian.org>  Wed, 22 Aug 2007 09:33:10 -0400

wyrd (1.4.2-2) unstable; urgency=low

  * New e-mail address for maintainer. Changed throughout debian/*.
  * Update debian/menu from Apps/Tools to Applications/Data Management.
  * Remove some cruft in patches/01_editor.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 14 Aug 2007 13:51:28 -0400

wyrd (1.4.2-1) unstable; urgency=low

  * New upstream release (support rendering UTF-8 reminders, add the
    untimed_window_width rcfile option). Closes: #431815
  * debian/rules - changed use of $(PWD) to preferred $(CURDIR).
  * debian/README.Debian - added paragraph about checking for new config file
    options that might be available after some of the new upstream releases.

 -- Kevin Coyner <kevin@rustybear.com>  Thu, 05 Jul 2007 06:55:41 -0400

wyrd (1.4.1-3) unstable; urgency=low

  * Apply patch from Frank Terbeck that allows the user to set $EDITOR and
    $VISUAL separately if so desired. Closes: #400576
  * Add dpatch as a Build-Depends in debian/control.
  * Add appropriate dpatch commands to debian/rules.

 -- Kevin Coyner <kevin@rustybear.com>  Mon, 25 Dec 2006 22:18:45 -0500

wyrd (1.4.1-2) unstable; urgency=low

  * New maintainer. Closes: #388429
  * Updated debhelper compatibility level to 5.
  * Added lines to debian/rules to remove cruft post-build.

 -- Kevin Coyner <kevin@rustybear.com>  Wed, 27 Sep 2006 19:45:33 -0400

wyrd (1.4.1-1) unstable; urgency=low

  * New upstream release with mostly bugfixes

 -- René van Bevern <rvb@debian.org>  Wed, 19 Jul 2006 10:04:51 +0200

wyrd (1.4.0-1) unstable; urgency=low

  * New upstream release with minor feature enhancements
  
    + added "default" color specifier
  
    + minimum terminal height is now 23, so that there is place for a
      status bar (e.g. screen)
  
    + "Quick Reminder" command allows users to describe the event using
      english language
  
  * debian/control:
  
    + update my E-Mail address
  
    + push Standards-Version to 3.7.2 without any changes
  
  * debian/rules: delete superfluous /usr/share/doc/wyrd/README

 -- René van Bevern <rvb@debian.org>  Tue, 27 Jun 2006 07:01:05 +0200

wyrd (1.3.0-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: add remind (>= 03.00.24) to Build-Depends, the
    configure script wants to check for the used remind version

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@progn.org>  Mon, 27 Feb 2006 14:23:58 +0100

wyrd (1.2.0-1) unstable; urgency=low

  * New upstream
  * debian/control: depend on remind 03.00.24
  
  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@pro-linux.de>  Sun, 20 Nov 2005 21:24:31 +0100

wyrd (1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control: drop dependency on bsdmainutils, new release does not
    use "cal" anymore

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>
  
 -- René van Bevern <rvb@pro-linux.de>  Thu, 22 Sep 2005 09:32:54 +0200

wyrd (1.1.0-1) unstable; urgency=low

  * New upstream release
  * added watch file
  * debian/copyright: update FSF address

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>
  
 -- René van Bevern <rvb@pro-linux.de>  Fri, 16 Sep 2005 18:41:59 +0200

wyrd (1.0.0-1) unstable; urgency=low

  * New upstream version
  * use CDBS
  * updated to Debian policy 3.6.2.1

  * Upload sponsored by Norbert Tretkowski <nobse@debian.org>

 -- René van Bevern <rvb@pro-linux.de>  Sun, 26 Jun 2005 18:19:31 +0200

wyrd (0.3.0-3) unstable; urgency=low

  * Removed my manual page from the source package also

 -- René van Bevern <rvb@pro-linux.de>  Wed, 25 May 2005 11:36:48 +0200

wyrd (0.3.0-2) unstable; urgency=low

  * Closes: #309626: Error when setting the week_starts_monday
    configuration variable
  * changed e-mail address in debian/copyright

