=== debian/control ===
Source: wyrd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 5.0), autotools-dev, camlp4, cdbs (>=0.4.39), remind (>= 03.00.24), dpatch, libncursesw5-dev
Standards-Version: 3.7.3
Homepage: http://pessimization.com/software/wyrd/

Package: wyrd
Architecture: any
Depends: ${shlibs:Depends}, remind (>= 03.00.24), less
Description: text-based calendar application
 Wyrd acts as an ncurses-based frontend for remind, a scheduler
 application featuring sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, multilingual messages, and
 proper handling of holidays.
 .
 Wyrd displays reminders on a browsable time table along with a
 calendar and lets the user create new timed or untimed reminders.
 Using the remind backend, it is possible to convert the calendar to
 PostScript for printing and to synchronize it with Palm handhelds.
