=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-utf8

binary-post-install/wyrd::
	-rm $(CURDIR)/debian/wyrd/usr/share/doc/wyrd/README
	find . -name '*.cm[iox]' -o -name '*.o'  | xargs rm -f
	-rm -f $(CURDIR)/debian/stamp*
	-rm -f $(CURDIR)/config.status $(CURDIR)/config.log $(CURDIR)/config.cache
