=== debian/changelog ===
wyrd (1.4.6-6) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk to avoid FTBFS because of dh_dwz

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Aug 2020 07:35:51 +0200

wyrd (1.4.6-5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Adopting the package (Closes: #929556)
  * Add patch for OCaml 4.08.0.
    Thanks to Michael Goerner (Closes: #934883)
  * Add patch for assertion failures.
    Thanks to Michael Goerner (Closes: #491834)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * Drop versioned dependency (version even in oldoldstable)
  * Fix lintian missing-depends-on-sensible-utils
  * Add R³
  * add Salsa CI

  [ Antoni Villalonga ]
  * debian/rules simplified
  * New patch 05_fix_manpages_width

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Sep 2019 23:31:31 +0200

wyrd (1.4.6-4) unstable; urgency=medium

  * Get date from changelog for version.ml to make package autobuildable.
  * New patch to fix manpages.

 -- Rhonda D'Vine <rhonda@debian.org>  Mon, 18 Jan 2016 01:09:37 +0100

wyrd (1.4.6-3) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Use dh-ocaml to compute dependencies
  * Use packaged version of ocaml-curses

  [ Bernd Zeimetz ]
  * Remove further references to embedded curses

 -- Rhonda D'Vine <rhonda@debian.org>  Fri, 27 Nov 2015 15:01:44 +0100

wyrd (1.4.6-2) unstable; urgency=medium

  * Uups.  The fix for #526901 was b0rked.  Reverted that and re-opened the
    bugreport.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 26 Nov 2015 13:54:02 +0100

wyrd (1.4.6-1) unstable; urgency=medium

  * New upstream release (closes: #615982), which fixes:
    - FTBFS with newer ocaml (closes: #735832)
    - Typos in manpage fixed (closes: #561543)
    - Updated CONTACT INFO (closes: #481233)
  * Convert debian/rules to dh style and source 3.0 (quilt).  Thanks to bzed
    and weasel for help with that.
  * Added some additional suggestions from Jari Aalto (closes: #670194)
  * Bump compat to 9, Standards-Version to 3.9.6.
  * Add debian/source/format, switch debian/patches to quilt.
  * Use sensible-editor instead of ${VISUAL:-EDITOR} in wyrdrc
    (closes: #616157)
  * Support $DOTREMINDERS in the default wyrdrc (closes: #526901)
  * Adding myself to Uploaders.

 -- Rhonda D'Vine <rhonda@debian.org>  Thu, 26 Nov 2015 11:12:23 +0100
