=== debian/control ===
Source: wyrd
Section: utils
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12), dh-ocaml, camlp4, remind, libcurses-ocaml-dev
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: http://pessimization.com/software/wyrd/
Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/wyrd

Package: wyrd
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}, remind, less
Recommends: sensible-utils
Description: text-based calendar application
 Wyrd acts as an ncurses-based frontend for remind, a scheduler
 application featuring sophisticated date calculation, moon phases,
 sunrise/sunset, Hebrew calendar, alarms, multilingual messages, and
 proper handling of holidays.
 .
 Wyrd displays reminders on a browsable time table along with a
 calendar and lets the user create new timed or untimed reminders.
 Using the remind backend, it is possible to convert the calendar to
 PostScript for printing and to synchronize it with Palm handhelds.
