=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

VERSION := $(shell grep ^VERSION= Makefile.in | cut -d= -f2)

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	dh_auto_configure -- --enable-utf8

override_dh_auto_build:
	echo "let version = \""$(VERSION)"\"" > version.ml
	echo "let date = \"$(SOURCE_DATE_EPOCH)\"" >> version.ml
	dh_auto_build

clean:
	find . -name '*.cm[iox]' -o -name '*.o'  | xargs rm -f
	-rm -f $(CURDIR)/debian/stamp*
	-rm -f $(CURDIR)/config.status $(CURDIR)/config.log $(CURDIR)/config.cache
