=== debian/watch ===
version=3
http://pessimization.com/software/wyrd/wyrd-(.*)\.tar\.gz
