## wyrd 1.5.3

=== doc/Makefile ===
all:	manual.pdf manual.html wyrd.1 wyrdrc.5

manual.tex: manual.tex.in
	latex2man -CLATEX -L $< $@
# for latex2man vs hyperref
	sed -i 's/\\URL{/\\url{/' manual.tex

manual.pdf: manual.tex
	latexmk -lualatex

manual.html: manual.tex
	hevea -fix manual.tex

wyrd.1: manual.tex.in
	latex2man -M $< $@

wyrdrc.5: manual.tex.in
	latex2man -CWYRDRC -M $< $@

dist-clean:
	latexmk -c || true
	rm -f manual.tex manual.haux manual.htoc

clean: dist-clean
	rm -f manual.pdf manual.html wyrd.1 wyrdrc.5

.PHONY: all dist-clean clean
