=== debian/changelog ===
wyrd (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 10 Feb 2022 11:35:46 +0100

wyrd (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Use camlp5 to build

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 08 Feb 2022 18:35:13 +0100

wyrd (1.5.0-1) unstable; urgency=medium

  * Switch d/watch to newly maintained location
  * New upstream version 1.5.0
  * Update copyright
  * Rework patches
  * Update packaging
  * Add autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 09 Jan 2022 21:54:04 +0100

wyrd (1.4.6-8) unstable; urgency=medium

  * Fix compilation on non native archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Nov 2021 14:58:57 +0100

wyrd (1.4.6-7) unstable; urgency=medium

  * Bump policy and debhelper versions
  * Drop d/watch (upstream is gone)
  * Rewrite d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 04 Nov 2021 09:24:21 +0100
