=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-ocaml, camlp4, remind, libcurses-ocaml-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), dh-ocaml, camlp5, remind, libcurses-ocaml-dev, texlive-extra-utils, texlive-latex-extra, texlive-fonts-recommended, latexmk
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://pessimization.com/software/wyrd/
+Homepage: https://gitlab.com/wyrd-calendar/wyrd
 Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/wyrd
 
 Package: wyrd
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}, remind, less
+Depends: ${misc:Depends}, ${shlibs:Depends}, remind, less
 Recommends: sensible-utils
 Description: text-based calendar application
  Wyrd acts as an ncurses-based frontend for remind, a scheduler
