=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export WYRD_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with ocaml
