=== debian/changelog ===
wyrd (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * Drop upstreamed patch
  * Build manual within doc to make it reproducible

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 22 Aug 2022 08:42:42 +0200

wyrd (1.7-3) unstable; urgency=medium

  * Add patch to make build reproducible
  * Fix bytecode version build (armel)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Aug 2022 12:58:06 +0200

wyrd (1.7-2) unstable; urgency=medium

  * Add missing test dependency
  * Fix "no writeable cache path, quiting"

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2022 15:32:58 +0200

wyrd (1.7-1) unstable; urgency=medium

  * New upstream version 1.7
    - Add newline when pasting reminders (Closes: #477084)
  * Update rules and dependencies
  * Drop /etc/wyrdrc and install as example

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2022 13:16:23 +0200

wyrd (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
  * Drop patch (no longer needed)
  * Update dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jul 2022 17:10:28 +0200

wyrd (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * Drop camlp5 dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jun 2022 12:21:14 +0200

wyrd (1.5.4-1) unstable; urgency=medium

  * Add upstream source
  * New upstream version 1.5.4
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 06 Jun 2022 22:28:48 +0200
