=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export WYRD_VERSION=$(DEB_VERSION_UPSTREAM)
export PREFIX=/usr

# don't strip bytecode version (for example armel)
OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt > /dev/null 2>&1; then echo opt; else echo byte; fi)
ifeq ($(OCAMLBEST),byte)
override_dh_strip:
override_dh_dwz:
endif

%:
	dh $@
