## wyrd 1.7.4

=== Makefile ===
--- 
+++ 
@@ -11,16 +11,11 @@
 OCAMLFIND ?= ocamlfind
 OCAMLDEP ?= ocamldep
 
-OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt > /dev/null 2>&1; then echo opt; else echo byte; fi)
+OCAMLBEST ?= $(shell if $(OCAMLFIND) ocamlopt --help > /dev/null 2>&1; then echo opt; else echo byte; fi)
 OCAMLMAJORVERSION := $(shell $(OCAMLFIND) ocamlc -version 2>/dev/null | cut -d '.' -f 1)
 INSTALL ?= install
 
-OCAML_PKGS := unix str curses yojson
-
-# Assuming any version neq 4 is gt 4
-ifneq ($(OCAMLMAJORVERSION),4)
-	OCAML_PKGS += camlp-streams
-endif
+OCAML_PKGS := unix str camlp-streams curses yojson
 
 
 all: wyrd doc
