=== debian/changelog ===
wyrd (1.7.4-1) unstable; urgency=medium

  * New upstream version 1.7.4
  * Bump policy version (no changes)
  * Fix ocamlopt detection in d/rules
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Mar 2025 10:02:43 +0100

wyrd (1.7.1-2) unstable; urgency=medium

  * Team upload
  * Bump Standards-Version to 4.6.2
  * Add libcamlp-streams-ocaml-dev to Build-Depends (Closes: #1073912)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2024 13:19:08 +0200
