=== debian/control ===
--- 
+++ 
@@ -3,8 +3,21 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Rhonda D'Vine <rhonda@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), ocaml, ocaml-findlib, libcurses-ocaml-dev, libyojson-ocaml-dev, ocaml-odoc, texlive-extra-utils, texlive-latex-extra, texlive-fonts-recommended, latexmk, remind <!nocheck>, expect <!nocheck>
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ ocaml,
+ ocaml-findlib,
+ libcamlp-streams-ocaml-dev,
+ libcurses-ocaml-dev,
+ libyojson-ocaml-dev,
+ ocaml-odoc,
+ texlive-latex-extra,
+ texlive-fonts-recommended,
+ texlive-luatex,
+ latexmk,
+ remind <!nocheck>,
+ expect <!nocheck>
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/wyrd-calendar/wyrd
 Vcs-Git: https://salsa.debian.org/ocaml-team/wyrd.git
