=== debian/tests/control ===
Test-Command: export HOME="$AUTOPKGTEST_TMP" && wyrd --add "drop off package at 3pm" && TERM=linux expect -c 'set stty_init "rows 60 columns 80"; spawn -nottycopy wyrd; expect_before timeout { exit 1 }; expect -re "15:00.*drop off package" { send Q; expect eof } eof; exit [lindex [wait] 3]'
Depends: @, expect
