=== debian/watch ===
version=4
opts="mode=git, gitmode=full" \
https://gitlab.com/wyrd-calendar/wyrd.git \
refs/tags/([\d\.]+)
